Skip to main content
`Ctrl`+`K`

# MatCompositeGetType

Returns type of composite.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCompositeGetType(Mat mat, MatCompositeType *type)

Not Collective

## Input Parameter

- mat - the composite matrix

## Output Parameter

- type - type of composite

## See Also

Matrices, `Mat`, `MatCreateComposite()`, `MatCompositeSetType()`, `MATCOMPOSITE`, `MatCompositeType`

## Level

advanced

## Location

src/mat/impls/composite/mcomposite.c

## Examples

src/mat/tutorials/ex9.c

## Implementations

MatCompositeGetType_Composite() in src/mat/impls/composite/mcomposite.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages